Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 594936 - incorrect default value in ALSA channel "Master Front"
incorrect default value in ALSA channel "Master Front"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
13
All Linux
low Severity urgent
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-21 23:48 EDT by Taras
Modified: 2011-06-27 12:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:34:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File created on /tmp by running alsa-info (22.23 KB, text/plain)
2010-07-17 17:10 EDT, Cesar Eduardo Barros
no flags Details

  None (edit)
Description Taras 2010-05-21 23:48:42 EDT
Description of problem:

Default value in ALSA channel "Master Front" = -34,50 dB.
correctly = 0.00, because if the settings put pulseaudio Profile "Analog Surround 5.1 (or 4.1 or 5.0 or 7.1) Output", then "Front Left" & "Front Right" speakers soundlessly.
Comment 1 Cesar Eduardo Barros 2010-07-17 17:05:24 EDT
I just encountered this problem in a Dell Dimension 1000. In case the description from the original reporter is not clear enough, I will describe it as I would if I were the one originally reporting it.


Summary: "Master Front" missing on /usr/share/pulseaudio/alsa-mixer/paths/analog-output*.conf

On a newly installed Dell Dimension 1000, using the back output and amplified speakers, the sound volume is too low even with the volume slider above 100% (to the maximum the configuration dialog allows). Inspecting the controls in alsamixer shows that the first control, labeled "Master Front", is set to 0, and is not affected by the volume slider at all. Increasing the "Master Front" control to 74 (which alsamixer tells me has "dB gain: 0,00, 0,00") makes the volume slider (which only seems to affect the "PCM" and "Front" controls, or when configured to use headphones, the "Headphone" and "PCM" controls) work correctly (with a good volume even at around 25% on the volume slider and with the external speakers at maximum volume).

Looking at /usr/share/pulseaudio/alsa-mixer/paths/, I see no mention at all of "Master Front", which is probably the cause of the problem. Aditionally, alsa's defaults probably set that control to zero (since this was a newly installed machine).

I will attach the output of alsa-info in the next comment. It seems to have all the information that would be needed to fix this correctly.
Comment 2 Cesar Eduardo Barros 2010-07-17 17:10:49 EDT
Created attachment 432638 [details]
File created on /tmp by running alsa-info
Comment 3 Raymond 2010-07-27 04:50:08 EDT
ALSA sound/pci/hda/hda_codec.c:4284: autoconfig: line_outs=1 (0x1c/0x0/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:4288:    speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:4292:    hp_outs=1 (0x1d/0x0/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:4293:    mono: mono_out=0x0
ALSA sound/pci/hda/hda_codec.c:4304:    inputs: mic=0x1a, fmic=0x1e, line=0x1b, fline=0x0, cd=0x1f, aux=0x0


node 0x10, 0x11 ,0x24 and 0x25 are DAC for front , rear , , , channels 

The first volume control/swich of node 0x16 [audio mixer]

node 0x1d headphone and node 0x1c green jack rear panel are connected to 0x16
and they have volume control/switches

it support smart 5.1 by retasking pink jack and blue jacks for rear and center/lfe


it also support independent headphone since there are 4 DAC and two playback subdevices ( 3 DAC for 5.1 and 1 DAC for independent headphone )


**** List of PLAYBACK Hardware Devices ****
card 0: NVidia [HDA NVidia], device 0: VT1708B Analog [VT1708B Analog]
  Subdevices: 1/2
  Subdevice #0: subdevice #0
  Subdevice #1: subdevice #1



Node 0x10 [Audio Output] wcaps 0x411: Stereo
  Device: name="VT1708B Analog", type="Audio", device=0
  Converter: stream=5, channel=0
  PCM:
    rates [0x5e0]: 44100 48000 88200 96000 192000
    bits [0xa]: 16 24
    formats [0x1]: PCM
  Power states:  D0 D1 D2 D3
  Power: setting=D0, actual=D0



Node 0x16 [Audio Mixer] wcaps 0x20050b: Stereo Amp-In
  Control: name="Master Front Playback Volume", index=0, device=0
  Control: name="Master Front Playback Switch", index=0, device=0
  Control: name="Mic Playback Volume", index=0, device=0
  Control: name="Mic Playback Switch", index=0, device=0
  Control: name="Front Mic Playback Volume", index=0, device=0
  Control: name="Front Mic Playback Switch", index=0, device=0
  Control: name="Line Playback Volume", index=0, device=0
  Control: name="Line Playback Switch", index=0, device=0
  Control: name="CD Playback Volume", index=0, device=0
  Control: name="CD Playback Switch", index=0, device=0
  Amp-In caps: ofs=0x17, nsteps=0x1f, stepsize=0x06, mute=1
  Amp-In vals:  [0x17 0x17] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80]
  Power states:  D0 D1 D2 D3
  Power: setting=D0, actual=D0
  Connection: 6
     0x10 0x1f 0x1a 0x1b 0x1e 0x25




Node 0x1c [Pin Complex] wcaps 0x40058d: Stereo Amp-Out
  Control: name="Front Playback Volume", index=0, device=0
  Control: name="Front Playback Switch", index=0, device=0
  Amp-Out caps: ofs=0x1b, nsteps=0x1b, stepsize=0x06, mute=1
  Amp-Out vals:  [0x07 0x07]
  Pincap 0x0000001c: OUT HP Detect
  Pin Default 0x01014010: [Jack] Line Out at Ext Rear
    Conn = 1/8, Color = Green
    DefAssociation = 0x1, Sequence = 0x0
  Pin-ctls: 0x40: OUT
  Unsolicited: tag=04, enabled=1
  Power states:  D0 D1 D2 D3
  Power: setting=D0, actual=D0
  Connection: 1
     0x16
Node 0x1d [Pin Complex] wcaps 0x40058d: Stereo Amp-Out
  Control: name="Headphone Playback Volume", index=0, device=0
  Control: name="Headphone Playback Switch", index=0, device=0
  Amp-Out caps: ofs=0x1b, nsteps=0x1b, stepsize=0x06, mute=1
  Amp-Out vals:  [0x1b 0x1b]
  Pincap 0x0000001c: OUT HP Detect
  Pin Default 0x0221401f: [Jack] HP Out at Ext Front
    Conn = 1/8, Color = Green
    DefAssociation = 0x1, Sequence = 0xf
  Pin-ctls: 0xc0: OUT HP
  Unsolicited: tag=05, enabled=1
  Power states:  D0 D1 D2 D3
  Power: setting=D3, actual=D3
  Connection: 2
     0x16* 0x25
Comment 4 Cesar Eduardo Barros 2011-01-12 16:21:56 EST
This bug is still present on Fedora 14 (tested on the same Dell Dimension 1000 mentioned above). Package version pulseaudio-0.9.21-7.fc14.x86_64.
Comment 5 Bug Zapper 2011-06-02 09:42:10 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Cesar Eduardo Barros 2011-06-02 18:35:52 EDT
As I stated in comment #4, this bug is still present on Fedora 14. Could someone change the Version field for me?
Comment 7 Bug Zapper 2011-06-27 12:34:15 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.